
Application: gvSIG desktop - gvSIG bugs #4178
03/17/2016 10:47 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: CRS
Target version: 2.3.0-2440  (rev. org.gvsig.desktop-2.0.146)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2426 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The ellipsoid name shown in "CRS info" is wrong. See the screenshot in attachment.
The issue doesn't happen in gvSIG 2.2 using the same EPSG Registry.

Associated revisions
Revision 579 - 08/01/2016 08:45 AM - Francisco Díaz Carsí

refs #4178: Aplicado el parche que corrige el nombre del elipsoide mostrado el el panel de información de CRS.

History
#1 - 06/16/2016 10:00 AM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#2 - 07/21/2016 10:28 AM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- File spheroid_name.patch added

I attach a trivial patch that solves the issue. If we know the semimajor axis and the flattening, we don't need to know the semiminor axis too. In fact the
semiminor axis is not used in the SPHEROID tag of projection files (WKT). So spheroid [0] value has to be the spheroid name (necessary in WKT).

Has patch: Yes

#3 - 08/01/2016 08:46 AM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

Aplicado el parche.

#4 - 08/03/2016 09:28 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2440  (rev. org.gvsig.desktop-2.0.146)
#5 - 08/04/2016 07:03 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
wrong_ellipsoid_name_b2426.png 45 KB 03/17/2016 Antonio Falciano
spheroid_name.patch 918 Bytes 07/21/2016 Antonio Falciano
